/*
 * Monolithium Unit Tests
 * main.c
 *
 * Copyright (C) 2018 Aleksandar Andrejevic <theflash@sdf.lonestar.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <check.h>

Suite *suite_avl_tree_create(void);

int main(int argc, char *argv[])
{
    SRunner *suite_runner = srunner_create(suite_avl_tree_create());
    srunner_run_all(suite_runner, CK_NORMAL);
    srunner_free(suite_runner);
    return 0;
}
